Skip to main content

Get Service Request Number

This API is used to retrieve the data of the number of request number, aggregated in 5-minute intervals.

Request​

Request-Line​

POST /cdn/v1.0/analytics/getRequestNumberByServiceName HTTP/1.1

Request Parameters​

Body Parameters​

ParameterTypeRequiredDescription
serviceNamesArrayMandatoryArray of service names, Maximum array size is 50.
startTimeStringMandatoryStart time. Use the format yyyy-MM-ddTHH:mm:ssZ (e.g., 2024-01-15T14:30:00Z).
endTimeStringMandatoryEnd time. Use the format yyyy-MM-ddTHH:mm:ssZ (e.g., 2024-01-15T14:40:00Z).

Response​

Response Body​

Property nameTypeDescription
ArrayArray of Service Request Number object.

Object: Service Request Number​

ParameterTypeDescription
serviceNameStringDomain name of the website acceleration service.
reqNumbersArrayList of request number with 5-minute intervals. Array of Request Number.
Object: Request Number​
ParameterTypeDescription
timestampStringTimestamp in UTC, using the format yyyy-MM-ddTHH:mm:ssZ.
valueLongRequest number within a 5-minute intervals (e.g., 1342323).

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400Request.BadRequestBad request.
400ServiceNames.InvalidThe list of service names is required and must contain valid names.
400ServiceNames.NumberInvalidService names limit exceeded.
400Time.InvalidStartTime or EndTime is required.
400TimeRange.ExceededThe time range between StartTime and EndTime cannot exceed 24 hours.
400TimeRange.EndBeforeStartEndTime must be later than StartTime.

Examples​

Get Service Request Number​

Request​

POST /cdn/v1.0/analytics/getRequestNumberByServiceName HTTP/1.1

{
"serviceNames": [
"api53-1121-auto-test.activity04.com",
"api53-core-c-alisg.tiktokv.com"
],
"startTime": "2025-11-06T00:00:00Z",
"endTime": "2025-11-06T02:46:00Z"
}

Successful Response Body​

[
{
"serviceName": "api53-1121-auto-test.activity04.com",
"reqNumbers": [
{
"timestamp": "2025-11-06T01:25:00Z",
"value": 1669
},
{
"timestamp": "2025-11-06T01:30:00Z",
"value": 2090
},
{
"timestamp": "2025-11-06T01:35:00Z",
"value": 1687
},
{
"timestamp": "2025-11-06T02:45:00Z",
"value": 1
}
]
},
{
"serviceName": "api53-core-c-alisg.tiktokv.com",
"reqNumbers": [
{
"timestamp": "2025-11-06T00:00:00Z",
"value": 84
},
{
"timestamp": "2025-11-06T00:05:00Z",
"value": 85
},
{
"timestamp": "2025-11-06T00:10:00Z",
"value": 61
},
{
"timestamp": "2025-11-06T00:15:00Z",
"value": 69
},
{
"timestamp": "2025-11-06T00:20:00Z",
"value": 102
},
{
"timestamp": "2025-11-06T00:25:00Z",
"value": 74
},
{
"timestamp": "2025-11-06T00:30:00Z",
"value": 75
},
{
"timestamp": "2025-11-06T00:35:00Z",
"value": 52
},
{
"timestamp": "2025-11-06T00:40:00Z",
"value": 119
},
{
"timestamp": "2025-11-06T00:45:00Z",
"value": 121
},
{
"timestamp": "2025-11-06T00:50:00Z",
"value": 130
},
{
"timestamp": "2025-11-06T00:55:00Z",
"value": 103
},
{
"timestamp": "2025-11-06T01:00:00Z",
"value": 100
},
{
"timestamp": "2025-11-06T01:05:00Z",
"value": 102
},
{
"timestamp": "2025-11-06T01:10:00Z",
"value": 134
},
{
"timestamp": "2025-11-06T01:15:00Z",
"value": 119
},
{
"timestamp": "2025-11-06T01:20:00Z",
"value": 103
},
{
"timestamp": "2025-11-06T01:25:00Z",
"value": 84
},
{
"timestamp": "2025-11-06T01:30:00Z",
"value": 108
},
{
"timestamp": "2025-11-06T01:35:00Z",
"value": 93
},
{
"timestamp": "2025-11-06T01:40:00Z",
"value": 85
},
{
"timestamp": "2025-11-06T01:45:00Z",
"value": 65
},
{
"timestamp": "2025-11-06T01:50:00Z",
"value": 74
},
{
"timestamp": "2025-11-06T01:55:00Z",
"value": 96
},
{
"timestamp": "2025-11-06T02:00:00Z",
"value": 111
},
{
"timestamp": "2025-11-06T02:05:00Z",
"value": 185
},
{
"timestamp": "2025-11-06T02:10:00Z",
"value": 105
},
{
"timestamp": "2025-11-06T02:15:00Z",
"value": 117
},
{
"timestamp": "2025-11-06T02:20:00Z",
"value": 121
},
{
"timestamp": "2025-11-06T02:25:00Z",
"value": 190
},
{
"timestamp": "2025-11-06T02:30:00Z",
"value": 64
},
{
"timestamp": "2025-11-06T02:35:00Z",
"value": 88
},
{
"timestamp": "2025-11-06T02:40:00Z",
"value": 47
},
{
"timestamp": "2025-11-06T02:45:00Z",
"value": 53
}
]
}
]